Subject: Re: What's cooking in git.git (Oct 2011, #05; Fri, 14)

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Oct 2011 10:17:10 -0700

Jeff King <[email-masked]> writes:

> On Fri, Oct 14, 2011 at 04:23:21PM -0700, Junio C Hamano wrote:
>
>> * jk/pull-rebase-with-work-tree (2011-10-13) 1 commit
>>  - pull,rebase: handle GIT_WORK_TREE better
>> 
>> Looked reasonable.
>> Will merge to 'next'.
>
> I'm not so sure. Didn't you demonstrate that cd_to_toplevel as-is will
> not actually go to the toplevel if we're outside of the work tree?
>
> And changing it is non-trivial, because there may be weird cases that
> rely on staying there? See my final note in the thread:
>
>   http://article.gmane.org/gmane.comp.version-control.git/183519

Hmm, I might be mistaken, but my impression was that sane people do not do
so, that the discussion that originated this proposed patch was not such a
use case, and most importantly that fixing unsane ones is just the matter
for them to set GIT_WORKING_TREE correctly. So if anything, wouldn't
getting this in as early as possible to 'master' or at least 'next' help
catching a flaw in the above logic and possible downside in the real
world?

>> * jk/daemon-msgs (2011-10-14) 1 commit
>>  - daemon: give friendlier error messages to clients
>> 
>> Will merge to 'next'.
>
> I'm happy to tweak the "access denied" message if other people want. I
> kind of hoped it wouldn't matter, and that most sites would use
> --informative-errors.

I've already updated it with the "not exported" bit from Sitaram.

Thanks.